# ComputeFaceDescriptorsTaskBase | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Class ComputeFaceDescriptorsTaskBase<TReturn, TParentReturn>

#### Type Parameters

- #### TReturn

- #### TParentReturn

#### Hierarchy

- ComposableTask <TReturn>
  - ComputeFaceDescriptorsTaskBase
    - ComputeAllFaceDescriptorsTask
    - ComputeSingleFaceDescriptorTask

- Defined in globalApi/ComputeFaceDescriptorsTasks.ts:12

#####
Index

### Constructors

constructor

### Methods

run
then

## Constructors

### constructor

- new ComputeFaceDescriptorsTaskBase<TReturn, TParentReturn>(parentTask: ComposableTask <TParentReturn> | Promise<TParentReturn>, input: any): ComputeFaceDescriptorsTaskBase <TReturn, TParentReturn>

- #### Type Parameters

  - #### TReturn

  - #### TParentReturn

  #### Parameters

  - ##### parentTask: ComposableTask <TParentReturn> | Promise<TParentReturn>

  - ##### input: any

  #### Returns ComputeFaceDescriptorsTaskBase <TReturn, TParentReturn>

  Overrides ComposableTask.constructor

  - Defined in globalApi/ComputeFaceDescriptorsTasks.ts:13

## Methods

### run

- run(): Promise<TReturn>

- #### Returns Promise<TReturn>

  Inherited from ComposableTask.run

  - Defined in globalApi/ComposableTask.ts:7

### then

- then(onfulfilled: ((value: TReturn) => TReturn | PromiseLike<TReturn>)): Promise<TReturn>

- #### Parameters

  - ##### onfulfilled: ((value: TReturn) => TReturn | PromiseLike<TReturn>)

    - - (value: TReturn): TReturn | PromiseLike<TReturn>

      - #### Parameters

        - ##### value: TReturn

        #### Returns TReturn | PromiseLike<TReturn>

  #### Returns Promise<TReturn>

  Inherited from ComposableTask.then

  - Defined in globalApi/ComposableTask.ts:3